Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.net.ftp
Interface EventListener

All Known Implementing Classes:
  EventAdapter

    public interface EventListener

Listens for interesting file transfer events.

Version:
  $Revision: 1.1 $
Author:
  Bruce Blackshaw

Method Summary
`void` | `bytesTransferred(long count)` Report the number of bytes transferred so far.
`void` | `commandSent(java.lang.String cmd)` Log an FTP command being sent to the server.
`void` | `downloadCompleted(java.lang.String remoteFilename)` Notifies that a download has completed
`void` | `downloadStarted(java.lang.String remoteFilename)` Notifies that a download has started
`void` | `replyReceived(java.lang.String reply)` Log an FTP reply being sent back to the client.
`void` | `uploadCompleted(java.lang.String remoteFilename)` Notifies that an upload has completed
`void` | `uploadStarted(java.lang.String remoteFilename)` Notifies that an upload has started

Method Detail

### commandSent

    void commandSent(java.lang.String cmd)

  Log an FTP command being sent to the server. Not used for SFTP.

  Parameters:
    `cmd` - command string

### replyReceived

    void replyReceived(java.lang.String reply)

  Log an FTP reply being sent back to the client. Not used for SFTP.

  Parameters:
    `reply` - reply string

### bytesTransferred

    void bytesTransferred(long count)

  Report the number of bytes transferred so far. This may not be entirely accurate for transferring text files in ASCII mode, as new line representations can be represented differently on different platforms.

  Parameters:
    `count` - count of bytes transferred

### downloadStarted

    void downloadStarted(java.lang.String remoteFilename)

  Notifies that a download has started

  Parameters:
    `remoteFilename` - remote file name

### downloadCompleted

    void downloadCompleted(java.lang.String remoteFilename)

  Notifies that a download has completed

  Parameters:
    `remoteFilename` - remote file name

### uploadStarted

    void uploadStarted(java.lang.String remoteFilename)

  Notifies that an upload has started

  Parameters:
    `remoteFilename` - remote file name

### uploadCompleted

    void uploadCompleted(java.lang.String remoteFilename)

  Notifies that an upload has completed

  Parameters:
    `remoteFilename` - remote file name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.